com.amazon.redshift.util

## Class HStoreConverter

- java.lang.Object
- - com.amazon.redshift.util.HStoreConverter

    public class HStoreConverter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`HStoreConverter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Map<String,String>` `fromBytes(byte[] b, Encoding encoding)`
`static Map<String,String>` `fromString(String s)`
`static byte[]` `toBytes(Map<?,?> m, Encoding encoding)`
`static String` `toString(Map<?,?> map)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HStoreConverter

    public HStoreConverter()

### Method Detail

#### fromBytes

    public static Map<String,String> fromBytes(byte[] b,
                                               Encoding encoding)
                                        throws SQLException

Throws:
  `SQLException`

#### toBytes

    public static byte[] toBytes(Map<?,?> m,
                                 Encoding encoding)
                          throws SQLException

Throws:
  `SQLException`

#### toString

    public static String toString(Map<?,?> map)

#### fromString

    public static Map<String,String> fromString(String s)